interface TestEnvironment {
    ipfs: string;
    ethereum: string;
    ensAddress: string;
    registrarAddress: string;
    reverseAddress: string;
    resolverAddress: string;
}
export declare const initTestEnvironment: (cli?: string | undefined) => Promise<TestEnvironment>;
export declare const stopTestEnvironment: (cli?: string | undefined) => Promise<void>;
export declare const runCLI: (options: {
    args: string[];
    cwd?: string;
    cli?: string;
    env?: Record<string, string>;
}) => Promise<{
    exitCode: number;
    stdout: string;
    stderr: string;
}>;
export declare function buildAndDeployApi({ apiAbsPath, ipfsProvider, ensRegistryAddress, ensRegistrarAddress, ensResolverAddress, ethereumProvider, ensName, }: {
    apiAbsPath: string;
    ipfsProvider: string;
    ensRegistryAddress: string;
    ensRegistrarAddress: string;
    ensResolverAddress: string;
    ethereumProvider: string;
    ensName?: string;
}): Promise<{
    ensDomain: string;
    ipfsCid: string;
}>;
export {};
